<?php 
	// 2003 - 2023 @ Yalpublicidad - yPanel
	//* defino camino al sistema 
	include_once( dirmane(_DIR_PAQUETE) . '/.ypanel.php' );
	
	$user		= WY_SERVERUSER;
	
	$mysql_host	= WY_DBHOST;
	$mysql_port = (empty(WY_DBPORT)) ? 3306 : WY_DBPORT;
	$mysql_user = WY_DBUSER;
	$mysql_pass	= WY_DBPASS;
	$mysql_db	= WY_DBNAME;
	$mysql_prefijo= WY_DBPREFIJO;
	
	$smtp_host	= ( isset( $_POST['mail_servidor'] ) ) ? $_POST['mail_servidor'] : NULL;
	$smtp_user	= ( isset( $_POST['mail_usuario'] ) ) ? $_POST['mail_usuario'] : NULL;
	$smtp_pass	= ( isset( $_POST['mail_pass'] ) ) ? $_POST['mail_pass'] : NULL;
	$smtp_port	= ( isset( $_POST['mail_puerto'] ) ) ? $_POST['mail_puerto'] : NULL;
	$smtp_ssl	= ( isset( $_POST['mail_ssl'] ) && $_POST['mail_ssl'] == 1 ) ? 'true' : 'false';
	
	$utf		= ( isset( $_POST['charset'] ) ) ? $_POST['charset'] : 'utf-8';
	$title		= ( isset( $_POST['title'] ) ) ? $_POST['title'] : NULL;
	$descripcion= ( isset( $_POST['description'] ) ) ? $_POST['description'] : NULL;
	$keywords	= ( isset( $_POST['keywords'] ) ) ? $_POST['keywords'] : NULL;
	
	$organizacion= ( isset( $_POST['organizacion'] ) ) ? $_POST['organizacion'] : NULL;
	$direccion	= ( isset( $_POST['direccion'] ) ) ? $_POST['direccion'] : NULL;
	$telefonos	= ( isset( $_POST['telefonos'] ) ) ? $_POST['telefonos'] : NULL;
	$email		= ( isset( $_POST['correos'] ) ) ? $_POST['correos'] : NULL;
	$mapa		= ( isset( $_POST['mapa'] ) ) ? $_POST['mapa'] : NULL;
	
	$idWeby		= ( isset( $_POST['IdWeby'] ) ) ? $_POST['IdWeby'] : NULL;
	$idActWeby	= WEBYPLUS_ID_ACTIVACION;
	
	$estado		= ( isset( $_POST['estado'] ) ) ? $_POST['estado'] : 1;
	
	$gmt		= ( isset( $_POST['gmt'] ) ) ? $_POST['gmt'] : -5;
	
	$a	= array( '<%Y%>', '<%user%>', '<%dbhost%>', '<%dbport%>', '<%dbuser%>', '<%dbpass%>', '<%dbname%>', '<%dbprefijo%>', '<%mailhost%>', '<%mailuser%>', '<%mailpass%>', '<%mailport%>', '<%mailssl%>', '<%wyutf%>', '<%wytitle%>', '<%wydescription%>', '<%wykeywords%>', '<%wyorganizacion%>', '<%wydireccion%>', '<%wytelefonos%>', '<%wyemail%>', '<%wymapa%>', '<%kid%>', '<%kactivacion%>', '<%estado%>', '<%gmt%>' );
	$a1 = array( date('Y'), $user, $mysql_host, $mysql_port, $mysql_user, $mysql_pass, $mysql_db, $mysql_prefijo, $smtp_host, $smtp_user, $smtp_pass, $smtp_port, $smtp_ssl, $utf, $title, $descripcion, $keywords, $organizacion, $direccion, $telefonos, $email, $mapa, $idWeby, $idActWeby, $estado, $gmt );
	
	
	// ** setear fichero de configuracion
	function dconfg(){
		global $a, $a1;
		$pathconfy	= _DIR_PAQUETE . YDS . '.as' . YDS . 'bin' . YDS . 'configuracion.y';
		if( file_exists( $pathconfy ) ){
			$c	= file_get_contents( $pathconfy );
			$c	= str_replace( $a, $a1, $c );
			return $c;
		}
		return false;
		
	}
	
	// ** Guardar fichero
	function gfichero( $ruta, $contenido = '' ){
		
		if ( !empty( $ruta ) )
		{
			$file = fopen( $ruta , 'w' );
			fwrite($file, $contenido  . PHP_EOL);
			fclose($file);
			return $contenido;
		}
		return false;
	}
	
	
	// crear fichero wy_configuración:
		if( gfichero( _DIR_PAQUETE_WEB . "/wy_configuracion.php", dconfg() ) ){
			echo msg_error( etiqueta( 'msg_gconf_ok', 'Los cambios se guardaron correctamente.' ), 'fa fa-check-circle', 'alert alert-success text-center' );
		}else{
			echo msg_error( etiqueta( 'msg_gconf_noconfig', 'UPS! Algo salió mal. Intentelo nuevamente.' ), 'fa fa-info-circle', 'alert alert-warning text-center' );
		}
		
			 
?>	